{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<div class="x_panel">
    <div class="x_title">
      <h2>TIEMPO EFECTIVO DEL PERSONAL INDIVIDUAL <small>GESTION {{ request.session.gestion }} <a href="#" class="btn btn-primary btn-xs" onclick="document.formactividad.nombre_etapa.value='PLANIFICACION'; document.formactividad.id_etapa.value='1';" data-toggle="modal" data-target=".bs-example-modal-lg"><i class="fa fa-plus"></i></a></small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <table  id="datatable-responsive"
                class="table table-striped table-bordered dt-responsive nowrap"
                cellspacing="0" width="100%">
            <thead>
                <th>ID</th>
                <th>AUDITOR</th>
                <th>TOT. DIAS</th>
                <th>SAB. DOM.</th>
                <th>FERIADOS</th>
                <th>HABILES</th>
                <th>VACAC.</th>
                <th>NATAL.</th>
                <th>CAPAC.</th>
                <th>LABORAL</th>
                <th>ADMIN.</th>
                <th>EFECT.</th>
                <th>NO PROG</th>
                <th>PRGO</th>                
                <th></th>
            </thead>
            <tbody>
                {% for poapersonal in object_list %}
                <tr>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.id }}</div></td>
                    <td>{{ poapersonal.personal.nombre }} {{ poapersonal.personal.a_paterno }} {{ poapersonal.personal.a_materno }}</td>
                    <td>365</td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.sabados_domingos }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_feriados }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_habiles }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_vacacion }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_lactancia }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_capacitacion }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_laborales }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_administrativos }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_efectivos }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_no_prog }}</div></td>
                    <td><div style="float:center;width:49%;text-align:center;">{{ poapersonal.dias_prog }}</div></td>
                    <td><a href='{% url "modificar_poapersonal" poapersonal.id %}' class="btn btn-success btn-xs"><i class="fa fa-edit"></i></a></td>
                </tr>
                {% endfor %}  
                <tr>
                    <td>130</td>
                    <td><strong>TOTALES</strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_anio }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tsabados_domingos }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tferiados }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_habiles }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_vacacion }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_lactancia }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_capacitacion }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_laborales }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_administrativos }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_efectivos }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_no_prog }}</div></strong></td>
                    <td><strong><div style="float:center;width:49%;text-align:center;">{{ tdias_prog }}</div></strong></td>
                    <td></td>
                </tr>             
            </tbody>    
        </table>
    </div>
  </div>

{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "iDisplayLength": 25,
                "pageLenth":12,
                "length": 25,
                "language": {
                    "sSearch": "Buscar",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del1 _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}